package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.util.List;

/**
 * 学校专业录取数据分组信息VO类
 * @author 萌
 */
public class SchoolMajorAcceptGroupVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 年份 */
    private String year;

    /** 是否展示参考分,1-是 */
    private Integer isReference;

    private List<List<SchoolMajorAcceptRecordVO>> list;

    /** 专业信息列表 */
    private List<SchoolMajorAcceptRecordVO> majorRecordList;

    public Integer getIsReference() {
        return isReference;
    }

    public void setIsReference(Integer isReference) {
        this.isReference = isReference;
    }

    public List<List<SchoolMajorAcceptRecordVO>> getList() {
        return list;
    }

    public void setList(List<List<SchoolMajorAcceptRecordVO>> list) {
        this.list = list;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public List<SchoolMajorAcceptRecordVO> getMajorRecordList() {
        return majorRecordList;
    }

    public void setMajorRecordList(List<SchoolMajorAcceptRecordVO> majorRecordList) {
        this.majorRecordList = majorRecordList;
    }

    @Override
    public String toString() {
        return "SchoolMajorAcceptGroupVO{" +
                "year='" + year + '\'' +
                ", majorRecordList=" + majorRecordList +
                '}';
    }
}
